query listLevels @auth(level: USER) {
  levels {
    id
    name
    xpRequired
    icon
    colors
    createdAt
    updatedAt
    createdBy
  }
}

query getLevelById($id: UUID!) @auth(level: USER) {
  level(id: $id) {
    id
    name
    xpRequired
    icon
    colors
    createdAt
    updatedAt
    createdBy
  }
}

query filterLevels(
  $name: String
  $xpRequired: Int
) @auth(level: USER) {
  levels(
    where: {
      name: { eq: $name }
      xpRequired: { eq: $xpRequired }
    }
  ) {
    id
    name
    xpRequired
    icon
    colors
  }
}

